weka.filters.unsupervised.attribute

## Enum InterquartileRange.ValueType

- java.lang.Object
- - java.lang.Enum<InterquartileRange.ValueType>
  - - weka.filters.unsupervised.attribute.InterquartileRange.ValueType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InterquartileRange.ValueType>
  Enclosing class:
    InterquartileRange

      public static enum InterquartileRange.ValueType
      extends java.lang.Enum<InterquartileRange.ValueType>

  enum for obtaining the various determined IQR values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IQR`
    `LOWER_EXTREME_VALUES`
    `LOWER_OUTLIER_VALUES`
    `MEDIAN`
    `UPPER_EXTREME_VALUES`
    `UPPER_OUTLIER_VALUES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterquartileRange.ValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InterquartileRange.ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPPER_EXTREME_VALUES

          public static final InterquartileRange.ValueType UPPER_EXTREME_VALUES

    - #### UPPER_OUTLIER_VALUES

          public static final InterquartileRange.ValueType UPPER_OUTLIER_VALUES

    - #### LOWER_OUTLIER_VALUES

          public static final InterquartileRange.ValueType LOWER_OUTLIER_VALUES

    - #### LOWER_EXTREME_VALUES

          public static final InterquartileRange.ValueType LOWER_EXTREME_VALUES

    - #### MEDIAN

          public static final InterquartileRange.ValueType MEDIAN

    - #### IQR

          public static final InterquartileRange.ValueType IQR

  - ### Method Detail

    - #### values

          public static InterquartileRange.ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterquartileRange.ValueType c : InterquartileRange.ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterquartileRange.ValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null